@rem/******************************************************************************
@rem *
@rem * Licensed Materials - Property of IBM
@rem *
@rem * Source File Name = loadDSMLSchema.cmd
@rem *
@rem * (C) COPYRIGHT IBM Corp. 1999, 2003 All Rights Reserved
@rem *
@rem * US Government Users Restricted Rights - Use, duplication or
@rem * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@rem *
@rem *****************************************************************************/
@rem Usage: loadSDMLSchema file [url] [user] [password] [protocol]
@rem Set user-defined variables.
@echo off

set ITIM_HOME=%DEFINED_ENROLE_HOME%
set JAVA_HOME=%DEFINED_JAVA_HOME%


set CLASSPATH=.
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\ldap.jar
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\jsafe.jar
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\jndi.jar
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\enroleagent.jar
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\log4j.jar
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\jlog.jar
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\jffdc.jar
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\xml-apis.jar
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\xercesImpl.jar
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\data
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\itim_api.jar
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\itim_server.jar
@rem For backward compatibility
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\enroleall.jar


"%JAVA_HOME%\bin\java" -classpath "%CLASSPATH%" com.ibm.dsml.LoadDSMLSchema %1 %2 %3 %4 %5
